Commit d43e275b authored by Chris Knadle's avatar Chris Knadle
Browse files

debian/rules: update for mumble 1.3 built with Qt 5

parent a040d527
......@@ -6,6 +6,8 @@ MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))..
VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')
# qtchooser will try to use qmake from qt4 even if it's not installed
export QT_SELECT=qt5
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
......@@ -19,7 +21,8 @@ export DH_OPTIONS
override_dh_auto_configure:
dh_auto_configure
qmake-qt4 -recursive main.pro \
qmake -recursive main.pro \
CONFIG*=dpkg-buildflags \
CONFIG*=release \
CONFIG*=symbols \
CONFIG*=no-embed-qt-translations \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment